unit RemDem;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Grids, Mask, ExtCtrls, RememU;

type
  TForm1 = class(TForm)
    RememPanel1: TRememPanel;
    Label8: TLabel;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    Edit1: TEdit;
    Memo1: TMemo;
    ShowAll: TCheckBox;
    RadioButton1: TRadioButton;
    TabSheet2: TTabSheet;
    ComboBox1: TComboBox;
    GroupBox1: TGroupBox;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    CheckBox2: TCheckBox;
    TabSheet3: TTabSheet;
    RadioGroup1: TRadioGroup;
    Edit2: TEdit;
    DoTea: TCheckBox;
    TabSheet4: TTabSheet;
    Panel2: TPanel;
    MaskEdit1: TMaskEdit;
    EditFields1: TEditFields;
    EditFields2: TEditFields;
    TabSheet5: TTabSheet;
    StringGrid1: TStringGrid;
    PrintSettingTab: TTabSheet;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Speed: TTrackBar;
    UpDown1: TUpDown;
    Pages: TEdit;
    TabSheet7: TTabSheet;
    Label4: TLabel;
    RichEdit1: TRichEdit;
    RicheditFont: TButton;
    EmployeeTab: TTabSheet;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Employees: TEditFields;
    pay: TEditFields;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    LastChanged: TEditFields;
    RememUserName: TPanel;
    Edit3: TEdit;
    Button3: TButton;
    SaveButton: TButton;
    LoadButton: TButton;
    Button4: TButton;
    Button2: TButton;
    FontDialog1: TFontDialog;
    ColorDialog1: TColorDialog;
    RadioButton4: TRadioButton;
    BuyLabel: TLabel;
    RadioButton5: TRadioButton;
    Label9: TLabel;
    Label10: TLabel;
    Button1: TButton;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    ListBox1: TListBox;
    procedure Button3Click(Sender: TObject);
    procedure SaveButtonClick(Sender: TObject);
    procedure LoadButtonClick(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure RicheditFontClick(Sender: TObject);
    procedure Label1Click(Sender: TObject);
    procedure DoTeaClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses FontFrmU;

{$R *.DFM}

procedure TForm1.Button3Click(Sender: TObject);
begin
   RememPanel1.SelectUser;

end;

procedure TForm1.SaveButtonClick(Sender: TObject);
begin
  ColorDialog1.execute;

end;

procedure TForm1.LoadButtonClick(Sender: TObject);
begin
  FontDialog1.execute;

end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  BuyLabel.Show;

end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  halt;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  Employees.AsInteger := Employees.AsInteger + 1;
  LastChanged.AsDateTime := now;

end;

procedure TForm1.Button6Click(Sender: TObject);
begin
   Employees.AsInteger := Employees.AsInteger - 1;
  LastChanged.AsDateTime := now;

end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  Employees.AsInteger := 0;
  LastChanged.AsDateTime := now;

end;

procedure TForm1.RicheditFontClick(Sender: TObject);
begin
  FontDialog1.execute;
  RichEdit1.SelAttributes.Assign(FontDialog1.font);
  RichEdit1.SetFocus;

end;

procedure TForm1.Label1Click(Sender: TObject);
begin
  FontDialog1.font.Assign(TLabel(Sender).Font);
  FontDialog1.execute;
  TLabel(Sender).Font.Assign(FontDialog1.font);

end;

procedure TForm1.DoTeaClick(Sender: TObject);
begin
  IF DoTea.Checked then RadioGroup1.show else RadioGroup1.hide;

end;


PROCEDURE md(s : string);
BEGIN
  MessageDlg(s,mtInformation,[mbOK],0);
END;




procedure TForm1.Button1Click(Sender: TObject);
begin
  if DoTea.Checked then
  BEGIN
  PageControl1.ActivePage := TabSheet3;
  md('We are providing afternoon Tea');
  with RadioGroup1 do IF ItemIndex >=0 then md('We will be having ' + items[ItemIndex]);
  END
  else md('There is no AfterNoonTea') ;
  PageControl1.ActivePage := TabSheet1;
  if not ShowAll.Checked then BEGIN md('You have not checked "Show all", we will stop'); exit; END;
  md('Edit1 text = ' + Edit1.text);
  if RadioButton1.Checked then md('RadioButton1 is Checked') else md('RadioButton1 is NOT Checked') ;
  PageControl1.ActivePage := PrintSettingTab;
  md('We will print ' + Pages.text + ' Pages');
  md('Our Speed will be ' + IntToStr(Speed.position));
  FontFrm.Head.Font.Assign(Label1.font);
  FontFrm.Body.Font.Assign(Label2.font);
  FontFrm.ShowModal;
  PageControl1.ActivePage := EmployeeTab;
  md('We have ' + Employees.AsString + ' Employees' + #13  +
  'On ' + Pay.AsString + ' Per Hour' + #13 +
   'Our Info Was Last ' + #13 + 'Updated: ' + LastChanged.AsString);
  with ListBox1 do IF ItemIndex >=0 then md('We will ' + items[ItemIndex]);
end;

end.
